LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
TimeWithTimezone Struct Reference

represents a combined time value with time zone. More...

`import"TimeWithTimezone.idl";`

## Public Attributes
Time | TimeInTZ
| the time (in TimeZone) More...
short | Timezone
| contains the time zone, as signed offset in minutes from UTC, that is east of UTC, that is the amount of minutes that should be added to UTC time to obtain the time in that timezone. More...

## Detailed Description

represents a combined time value with time zone.

Since
  LibreOffice 4.1

## Member Data Documentation

Time TimeInTZ

the time (in TimeZone)

short Timezone

contains the time zone, as signed offset in minutes from UTC, that is east of UTC, that is the amount of minutes that should be added to UTC time to obtain the time in that timezone.

To obtain UTC time from TimeInTZ, you need to subtract TimeZone minutes.

The documentation for this struct was generated from the following file:

- com/sun/star/util/TimeWithTimezone.idl